Bug 178933 - Destroy all unneeded anonymous wrappers in RenderObject::removeFromParentAndDestroyCleaningUpAnonymousWrappers()
Summary: Destroy all unneeded anonymous wrappers in RenderObject::removeFromParentAndD...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Layout and Rendering (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2017-10-27 05:01 PDT by Antti Koivisto
Modified: 2017-11-15 12:41 PST (History)
7 users (show)

See Also:


Attachments
patch (2.54 KB, patch)
2017-10-27 05:09 PDT, Antti Koivisto
buildbot: commit-queue-
Details | Formatted Diff | Diff
Archive of layout-test-results from ews100 for mac-elcapitan (267.66 KB, application/zip)
2017-10-27 05:44 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews117 for mac-elcapitan (240.85 KB, application/zip)
2017-10-27 05:48 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews104 for mac-elcapitan-wk2 (678.72 KB, application/zip)
2017-10-27 05:48 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews125 for ios-simulator-wk2 (353.35 KB, application/zip)
2017-10-27 06:11 PDT, Build Bot
no flags Details
patch (55.42 KB, patch)
2017-10-27 07:32 PDT, Antti Koivisto
no flags Details | Formatted Diff | Diff
patch (68.22 KB, patch)
2017-10-27 08:52 PDT, Antti Koivisto
zalan: review+
buildbot: commit-queue-
Details | Formatted Diff | Diff
Archive of layout-test-results from ews113 for mac-elcapitan (1.86 MB, application/zip)
2017-10-27 09:54 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews101 for mac-elcapitan (1.10 MB, application/zip)
2017-10-27 10:35 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews122 for ios-simulator-wk2 (333.70 KB, application/zip)
2017-10-27 10:35 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews104 for mac-elcapitan-wk2 (1.27 MB, application/zip)
2017-10-27 10:44 PDT, Build Bot
no flags Details
patch (109.22 KB, patch)
2017-10-30 01:51 PDT, Antti Koivisto
no flags Details | Formatted Diff | Diff
patch (101.83 KB, patch)
2017-10-30 02:12 PDT, Antti Koivisto
no flags Details | Formatted Diff | Diff
patch (120.36 KB, patch)
2017-10-30 03:27 PDT, Antti Koivisto
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Antti Koivisto 2017-10-27 05:01:53 PDT
Currently it just cleans up table related wrappers.
Comment 1 Antti Koivisto 2017-10-27 05:09:12 PDT
Created attachment 325149 [details]
patch
Comment 2 Build Bot 2017-10-27 05:44:20 PDT
Comment on attachment 325149 [details]
patch

Attachment 325149 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.webkit.org/results/5010861

Number of test failures exceeded the failure limit.
Comment 3 Build Bot 2017-10-27 05:44:21 PDT
Created attachment 325151 [details]
Archive of layout-test-results from ews100 for mac-elcapitan

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews100  Port: mac-elcapitan  Platform: Mac OS X 10.11.6
Comment 4 Build Bot 2017-10-27 05:48:15 PDT
Comment on attachment 325149 [details]
patch

Attachment 325149 [details] did not pass mac-debug-ews (mac):
Output: http://webkit-queues.webkit.org/results/5010855

Number of test failures exceeded the failure limit.
Comment 5 Build Bot 2017-10-27 05:48:16 PDT
Created attachment 325152 [details]
Archive of layout-test-results from ews117 for mac-elcapitan

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews117  Port: mac-elcapitan  Platform: Mac OS X 10.11.6
Comment 6 Build Bot 2017-10-27 05:48:32 PDT
Comment on attachment 325149 [details]
patch

Attachment 325149 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.webkit.org/results/5010858

Number of test failures exceeded the failure limit.
Comment 7 Build Bot 2017-10-27 05:48:33 PDT
Created attachment 325153 [details]
Archive of layout-test-results from ews104 for mac-elcapitan-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews104  Port: mac-elcapitan-wk2  Platform: Mac OS X 10.11.6
Comment 8 Build Bot 2017-10-27 06:11:35 PDT
Comment on attachment 325149 [details]
patch

Attachment 325149 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: http://webkit-queues.webkit.org/results/5010870

Number of test failures exceeded the failure limit.
Comment 9 Build Bot 2017-10-27 06:11:36 PDT
Created attachment 325156 [details]
Archive of layout-test-results from ews125 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews125  Port: ios-simulator-wk2  Platform: Mac OS X 10.12.6
Comment 10 Antti Koivisto 2017-10-27 07:32:18 PDT
Created attachment 325160 [details]
patch
Comment 11 Antti Koivisto 2017-10-27 08:52:33 PDT
Created attachment 325164 [details]
patch
Comment 12 Build Bot 2017-10-27 09:54:40 PDT
Comment on attachment 325164 [details]
patch

Attachment 325164 [details] did not pass mac-debug-ews (mac):
Output: http://webkit-queues.webkit.org/results/5011469

New failing tests:
fast/forms/button-generated-content.html
Comment 13 Build Bot 2017-10-27 09:54:42 PDT
Created attachment 325168 [details]
Archive of layout-test-results from ews113 for mac-elcapitan

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews113  Port: mac-elcapitan  Platform: Mac OS X 10.11.6
Comment 14 Build Bot 2017-10-27 10:35:07 PDT
Comment on attachment 325164 [details]
patch

Attachment 325164 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.webkit.org/results/5012195

New failing tests:
fast/forms/button-generated-content.html
Comment 15 Build Bot 2017-10-27 10:35:09 PDT
Created attachment 325174 [details]
Archive of layout-test-results from ews101 for mac-elcapitan

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews101  Port: mac-elcapitan  Platform: Mac OS X 10.11.6
Comment 16 Build Bot 2017-10-27 10:35:14 PDT
Comment on attachment 325164 [details]
patch

Attachment 325164 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: http://webkit-queues.webkit.org/results/5012139

Number of test failures exceeded the failure limit.
Comment 17 Build Bot 2017-10-27 10:35:16 PDT
Created attachment 325175 [details]
Archive of layout-test-results from ews122 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews122  Port: ios-simulator-wk2  Platform: Mac OS X 10.12.6
Comment 18 Build Bot 2017-10-27 10:44:11 PDT
Comment on attachment 325164 [details]
patch

Attachment 325164 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.webkit.org/results/5012228

New failing tests:
fast/forms/button-generated-content.html
Comment 19 Build Bot 2017-10-27 10:44:13 PDT
Created attachment 325176 [details]
Archive of layout-test-results from ews104 for mac-elcapitan-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews104  Port: mac-elcapitan-wk2  Platform: Mac OS X 10.11.6
Comment 20 Antti Koivisto 2017-10-30 01:51:48 PDT
Created attachment 325342 [details]
patch
Comment 21 Antti Koivisto 2017-10-30 02:12:19 PDT
Created attachment 325344 [details]
patch
Comment 22 Antti Koivisto 2017-10-30 03:27:56 PDT
Created attachment 325345 [details]
patch
Comment 23 Antti Koivisto 2017-10-30 04:14:28 PDT
https://trac.webkit.org/r224177
Comment 24 Carlos Alberto Lopez Perez 2017-10-30 06:39:37 PDT
Committed r224178: <https://trac.webkit.org/changeset/224178>
Comment 25 Radar WebKit Bug Importer 2017-11-15 12:41:14 PST
<rdar://problem/35567870>